(define (script-fu-slime-logo text size font)
  (let* ((img (car (gimp-image-new 256 256 RGB)))
         (text-layer (car (gimp-text-fontname img -1 0 0 text 30 TRUE size PIXELS font)))
         (width (car (gimp-drawable-width text-layer)))
         (height (* (car (gimp-drawable-height text-layer)) 1.3))
	 (layer1 (car (gimp-layer-new img width height RGBA_IMAGE "Back" 100 NORMAL))))

;; put the text white
    (gimp-invert text-layer)
;; put the background black
    (gimp-palette-set-background '(0 0 0))
    (gimp-image-add-layer img layer1 1)
    (gimp-edit-fill layer1 FG-IMAGE-FILL)
;; Resize the image
    (gimp-image-resize img width height 0 0)
;; merge the text and the bg
    (set! sboub (car (gimp-image-merge-down img text-layer 0)))
;; rotate the image from 90 degress
    (plug-in-rotate 1 img sboub 1 TRUE)
;; put some wind
    (plug-in-wind 1 img sboub 10 1 8 1 1)
;; rotate back
    (plug-in-rotate 1 img sboub 3 TRUE)
;; wave it
    (plug-in-waves 1 img sboub 4 0 50 0 0)
;; blur
    (plug-in-gauss-iir 1 img sboub 5 1 1)
;; change the color to give the slime
    (gimp-color-balance sboub 0 1 -100 0 -100)
    (gimp-color-balance sboub 2 1 100 0 10)
;; display
    (gimp-display-new img)))


(script-fu-register "script-fu-slime-logo"
                    "<Toolbox>/Xtns/Script-Fu/Logos/Slime"
                    "Slime yourself..."

                    "Jean-Philippe Turcat (cmrjpt@soc.staffs.ac.uk)"
                    "Jean-Philippe Turcat"
                    "08/06/1999"
                    ""
                    SF-STRING "Text String" "Gimp"
                    SF-ADJUSTMENT "Font Size (pixels)" '(72 2 1000 1 10 0 1)
                    SF-FONT "Font" "-*-ComicsCarToon-*-r-*-*-24-*-*-*-p-*-*-*")
